<template>
    <div class="section_rutas">
        <!-- <el-collapse accordion class="accordion" >
            <el-collapse-item name="1">
                <template slot="title">
                        <div class="item_routes">
                            <p style="color: blue">{{subRoute.url}}</p>
                            <div class="edit_buttons">
                                <button class=" btn_routes " @click="updateSubRoutes" >Editar</button>
                                <button class=" btn_routes btn_delete_routes" @click="removeSubRoutes">Eliminar</button>
                            </div> 
                        </div>
                </template>
                        <div v-for="item in subRoute.children" :key="item" class="item_children_routes">
                                <p style="color: blue">{{item}}</p>
                                <div>
                                    <button class="btn_children_list" @click="updateRoutes">Editar</button>
                                    <button class="btn_children_list " :style="{color: 'red'}" @click="removeRoutes" >Eliminar</button>
                                </div> 
                            </div>
            </el-collapse-item>
        </el-collapse>  -->
    </div>
</template>

<style>
    
.section_rutas{
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: nowrap;
    /* margin-top: 2em; */
}

.btn_routes{
    border: none;
  color: white;
  padding: 8px 10px;
  text-align: center;
  text-decoration: none;
  display: inline-block;
  font-size: 12px;
  background: green ;
  margin: 1em;
  border-radius: 5px;
  cursor: pointer;

}

.btn_delete_routes{
    background: red;
}

.edit_buttons{
    display: flex;
    justify-content: space-between;
}

.item_routes{
    display: flex;
    justify-content: space-between;
}

.delete_routes{
    background: red;
}

.accordion{
    width: 100%;
}


</style>
<script>

 export default {
 
  name: 'cardSubRoutes',

  props:{
      subRoute: {
          type: String
      }
  },
  methods: {
      removeSubRoutes(){
          this.$emit("removeSubRoutes", this.subRoute)
      },
      updateSubRoutes(){
          this.$emit("updateSubRoutes", this.subRoute)
      }
  }
}
</script>